import React from 'react';
import { BrowserRouter as Router, Route, Switch } from 'react-router-dom';

//import pages
import Home from "../main/Home/home";
import Navbar from '../components/navBar/navbar';
import AboutUs from '../main/AboutUs/aboutUs';
import SignUp from '../main/SignUp/signUp';
import Login from '../main/Login/login';
import ContactUs from '../main/ContactUs/contactUs';

function PageRoutes() {
    return (
        <div>
            <Router>
                <Navbar/>
                <section className="content">
                    <Switch>
                        <Route path="/" component={Home} exact/>
                        <Route path="/about-us" component={AboutUs}/>
                        <Route path="/contact-us" component={ContactUs}/>
                        <Route path="/register" component={SignUp}/>
                        <Route path="/login" component={Login}/>
                    </Switch>
                </section>
            </Router>
        </div>
    );
}

export default PageRoutes;